﻿<?xml version="1.0" encoding="utf-8" ?>
<Providers>  
  <Provider Interface="Toyota.Common.Lookup.ILookup" Implementation="Toyota.Common.Lookup.DefaultLookup"/>
  <Provider Interface="Toyota.Common.Web.MVC.ISystemState" Implementation="Toyota.Common.Web.MVC.DefaultSystemState"/>
  <Provider Interface="Toyota.Common.Web.MVC.Login.ILoginValidator" Implementation="Toyota.Common.Web.MVC.Login.TmminRoleLoginValidator" AllowOverriding="true"/>
  <Provider Interface="Toyota.Common.Web.Database.IDBContextManager" Implementation="Toyota.Common.Web.Database.Petapoco.PetaPocoContextManager"/>
  <Provider Interface="Toyota.Common.Web.Configuration.IApplicationConfiguration" Implementation="Toyota.Common.Web.Configuration.DbApplicationConfiguration"/>
  <Provider Interface="Toyota.Common.Web.Menu.IMenuProvider" Implementation="Toyota.Common.Web.Menu.DbMenuProvider"/>
</Providers>
